    import {Settings} from 'luxon/src/settings.js'

public class | source

# Settings

Settings contains static getters and setters that control Luxon's overall behavior. Luxon is a simple library with few options, but the ones it does have live here.

## Static Member Summary

Static Public Members
public static get | defaultZone: Zone Get the default time zone object to create DateTimes in. |
public static get | defaultZoneName: Zone Set the default time zone to create DateTimes in. |
public static set | defaultZoneName: Zone Set the default time zone to create DateTimes in. |
public static get | now: function Get the callback for returning the current timestamp. |
public static set | now: function Set the callback for returning the current timestamp. |
public static get | throwOnInvalid: Zone Get whether Luxon will throw when it encounters invalid DateTimes, Durations, or Intervals |
public static set | throwOnInvalid: Zone Set whether Luxon will throw when it encounters invalid DateTimes, Durations, or Intervals |

## Static Public Members

### public static get defaultZone: Zone source

Get the default time zone object to create DateTimes in.

### public static get defaultZoneName: Zone source

Set the default time zone to create DateTimes in.

### public static set defaultZoneName: Zone source

Set the default time zone to create DateTimes in.

### public static get now: function source

Get the callback for returning the current timestamp.

### public static set now: function source

Set the callback for returning the current timestamp.

### public static get throwOnInvalid: Zone source

Get whether Luxon will throw when it encounters invalid DateTimes, Durations, or Intervals

### public static set throwOnInvalid: Zone source

Set whether Luxon will throw when it encounters invalid DateTimes, Durations, or Intervals